3 2

[alpine-devel] Problems with 1.9.0 packages/testing/php apks

Nathan Angelacos
Details
Message ID
<49B1D130.5090105@nothome.org>
Sender timestamp
1236390192
DKIM signature
missing
Download raw message
I'm trying to get mantisbt working, and am now at the following showstopper.

mantis needs the php session module, but the current session.so dies 
with the following message:

# php-cgi
Can't modify /usr/lib/php/20060613/session.so's text section. Use GCC 
option -fPIC for shared objects, please.

I don't have a compile environment set up, so if someone would like to 
compile a new session.so for me, I'd be grateful!


As a side point, I'd prefer to use postgresql (from packages/extra), but 
the testing/php apk does not have a postges driver - just the mysql driver.

I'll go ahead using mysql, but would really prefer to have a postgres 
driver at some point. :-)

Thanks!


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Cameron Banta
Details
Message ID
<531b02ea0903061824s10c95154lb761cce629824eae@mail.gmail.com>
In-Reply-To
<49B1D130.5090105@nothome.org> (view parent)
Sender timestamp
1236392655
DKIM signature
missing
Download raw message
On Fri, Mar 6, 2009 at 7:43 PM, Nathan Angelacos <nangel@nothome.org> wrote:

>
> As a side point, I'd prefer to use postgresql (from packages/extra), but
> the testing/php apk does not have a postges driver - just the mysql driver.
>

This patch adds postgresql support to php. Please review.

Thanks,
Cameron
Cameron Banta
Details
Message ID
<531b02ea0903070649h16b06f19w14ddf057d98f2f49@mail.gmail.com>
In-Reply-To
<531b02ea0903061824s10c95154lb761cce629824eae@mail.gmail.com> (view parent)
Sender timestamp
1236437391
DKIM signature
missing
Download raw message
On Fri, Mar 6, 2009 at 8:24 PM, Cameron Banta <cbanta@gmail.com> wrote:

> On Fri, Mar 6, 2009 at 7:43 PM, Nathan Angelacos <nangel@nothome.org>wrote:
>
>>
>> As a side point, I'd prefer to use postgresql (from packages/extra), but
>> the testing/php apk does not have a postges driver - just the mysql driver.
>>
>
> This patch adds postgresql support to php. Please review.
>
> Thanks,
> Cameron
>

I forgot to change the pkgrev - this new patch replaces the earlier one, and
compiles to pic.

Please review.

-Cameron
Natanael Copa
Details
Message ID
<1236674863.21886.134.camel@nc>
In-Reply-To
<531b02ea0903070649h16b06f19w14ddf057d98f2f49@mail.gmail.com> (view parent)
Sender timestamp
1236674863
DKIM signature
missing
Download raw message
On Sat, 2009-03-07 at 08:49 -0600, Cameron Banta wrote:
> 
> On Fri, Mar 6, 2009 at 8:24 PM, Cameron Banta <cbanta@gmail.com>
> wrote:
>         On Fri, Mar 6, 2009 at 7:43 PM, Nathan Angelacos
>         <nangel@nothome.org> wrote:
>         
>                 
>                 As a side point, I'd prefer to use postgresql (from
>                 packages/extra), but the testing/php apk does not have
>                 a postges driver - just the mysql driver.
>         
>         
>         This patch adds postgresql support to php. Please review.
>         
>         
>         Thanks,
>         Cameron 
> 
> I forgot to change the pkgrev - this new patch replaces the earlier
> one, and compiles to pic.
> 
> Please review.

committed.
thanks!

-nc

> 
> -Cameron



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---